Page({
  data: {
    wifiData: [
      {
        name: 'wifi',
        value: 'wifi',
      },
      {
        name: 'password',
        value: '123456',
      },
    ],
    eyes: false,
  },

  onShow() {
    this.setData({
      hasHiddenTabBar: true
      // wifiData: [],
    })
    ty.hideMenuButton();
  },

  handleSubmit(ev) {
    const value = ev.detail.value;
    const wifiData = [];
    for (let name in value) {
      resultData.push({
        name,
        value: value[name],
      });
    }
    this.setData({
      resultData,
    });
    console.log(resultData)
  },

  selectWifi() {
    console.log('selectWifi')
    console.log('half Screen Dialog')
  },

  changeEyes() {
    this.setData({
      eyes: !this.data.eyes
    })
  },

  goAddDevice() {
    ty.navigateTo({url: '/pages/adddevice/index'})
  },

})
